Subject: Re: [PATCH v6 1/9] locking/mutex: introduce devm_mutex_init

From: Marek Behún <[email-masked]>
Date: Thu, 14 Mar 2024 11:40:25 +0100

On Thu, 14 Mar 2024 11:45:23 +0300
George Stark <[email-masked]> wrote:

> Using of devm API leads to a certain order of releasing resources.
> So all dependent resources which are not devm-wrapped should be deleted
> with respect to devm-release order. Mutex is one of such objects that
> often is bound to other resources and has no own devm wrapping.
> Since mutex_destroy() actually does nothing in non-debug builds
> frequently calling mutex_destroy() is just ignored which is safe for now
> but wrong formally and can lead to a problem if mutex_destroy() will be
> extended so introduce devm_mutex_init()
> 
> Signed-off-by: George Stark <[email-masked]>
> Suggested by-by: Christophe Leroy <[email-masked]>

Reviewed-by: Marek Behún <[email-masked]>